The SNMP settings can be managed using the set/get commands.

Example Command

Set (Configure):

curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/set?param=snmpEnable&value=yes"

Get (Retrieve):

curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/get?param=snmpenable"

Available Parameters

Parameter

Parameter Type

Parameter Description

Mandatory

param

String

The name of the parameter to be retrieved/configured. The parameters for the SNMP Options are:

  • snmpEnable
  • snmpCommunity
  • snmpContact
  • snmpLocation
  • snmpClient
  • snmpTrapEnable
  • snmpv1TrapsSink
  • snmpv2TrapsSink
  • snmpV3enable
  • snmpV3User
  • snmpV3UserPasswd
  • snmpauthprot (Valid values are SHA and MD5)
  • snmpprivprot (Valid values are AE5 and DES)

Note: The values for the snmpauthprot and snmpprivprot parameters are case sensitive - please enter them in uppercase.

Yes

value

String

The value to set the parameter to.

Yes - if setting.

No - if getting.

Example Output

Set (Configure):

<?xml version="1.0" encoding="ISO-8859-1"?>
<Response stat="200" code="OK">
<Success>Command completed ok</Success>
</Response>

Get (Retrieve):

<Response stat="200" code="ok">
<Success><Data><snmpenable>yes</snmpenable></Data>
</Success>
</Response>